Bug 1020396 - CLI on Windows outputs everything twice
CLI on Windows outputs everything twice
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.2.0
Assigned To: Tomaz Cerar
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 11:10 EDT by Jan Martiska
Modified: 2013-12-15 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-10-17 11:10:16 EDT
On Windows, for some reason, CLI outputs everything twice - once as a log and once as the 'normal' output -- It seems that INFO-level logs are by default sent to the console output. This started happening in EAP 6.2.0.ER1 (but I encountered it first with ER6) and wasn't observed on platforms other than Windows. 

Example from the command line:

C:\eap6\ER2\bin>jboss-cli.bat --connect
INFO  [org.jboss.modules] JBoss Modules version 1.3.0.Beta4
INFO  [org.xnio] XNIO Version 3.0.7.GA-redhat-1
INFO  [org.xnio.nio] XNIO NIO Implementation Version 3.0.7.GA-redhat-1
INFO  [org.jboss.remoting] JBoss Remoting version 3.2.16.GA-redhat-1
[standalone@localhost:9999 /] /subsystem=weld:read-resource
INFO  [org.jboss.as.cli.CommandContext] {
    "outcome" => "success",
    "result" => {}
}
{
    "outcome" => "success",
    "result" => {}
}

It doesn't seem like a configuration issue, rather it is somewhere in the CLI module.  When I tried overwriting the org.jboss.as.cli module in 6.2.0.ERx with the one from 6.1.1.GA, the issue disappeared.
Comment 1 Alexey Loubyansky 2013-10-17 11:14:24 EDT
Could you compare jboss-cli-logging.properties in the bin dir? The logging should be OFF by default. For example, the current config is

loggers=org,org.jboss.as.cli
logger.org.level=OFF
logger.org.jboss.as.cli.level=OFF
Comment 2 Jan Martiska 2013-10-17 11:18:39 EDT
There is no difference in jboss-cli-logging.properties. The config is just as you said.
Comment 3 Jan Martiska 2013-10-29 06:42:00 EDT
Observed on Windows Server 2008 and Windows 7.
Comment 4 Brian Stansberry 2013-10-29 08:27:36 EDT
This is fixed upstream; just needs to be backported.
Comment 6 Petr Kremensky 2013-10-31 06:29:32 EDT
Verified on EAP 6.2.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.